<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateRomanahGokbakjaShippingTransport6 extends Migration
{
    public function up()
    {
        Schema::table('romanah_gokbakja_shipping_transport', function($table)
        {
            $table->dropColumn('loaded_amount');
            $table->dropColumn('order_id');
            $table->dropColumn('order_item_id');
        });
    }
    
    public function down()
    {
        Schema::table('romanah_gokbakja_shipping_transport', function($table)
        {
            $table->double('loaded_amount', 10, 0)->default(0);
            $table->integer('order_id')->nullable();
            $table->integer('order_item_id')->nullable();
        });
    }
}
